﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
       // Data binding

        NorthwindDataContext LinkedList = new NorthwindDataContext();

        public ActionResult GridFeatures()
        {
            
            return View();
        }

        [HttpGet]
        public ActionResult LoadGridData(string searchString, string groupByColumn)
        {
            if (String.IsNullOrEmpty(searchString))
            {
                return Json("FAILED", JsonRequestBehavior.AllowGet);
            }


            ViewBag.SerialNo = searchString;

            List<EditableOrder> linkedItems = OrderRepository.GetAllRecords().Take(10).ToList();

            ViewBag.GroupByColumn = (string)groupByColumn;

            return Json(linkedItems, JsonRequestBehavior.AllowGet);
        }
    }
}
